KDE 4.7 PyKDE API Reference

- KDE's Python API

# KDiskFreeSpace Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

Deprecated:
  Use KDiskFreeSpaceInfo

## Signals
| done ()
| foundMountPoint (QString mountPoint, long kibSize, long kibUsed, long kibAvail)
## Methods
| __init__ (self, QObject parent=0)
bool | readDF (self, QString mountPoint)
## Static Methods
KDiskFreeSpace | findUsageInfo (QString path)

## Signal Documentation

done | ( |  | ) |

Emitted when the request made via readDF is over, whether foundMountPoint was emitted or not.

Signal syntax:
  `QObject.connect(source, SIGNAL("done()"), target_slot)`

foundMountPoint | ( | QString | mountPoint,
|  | long | kibSize,
|  | long | kibUsed,
|  | long | kibAvail
| ) |  |  |

Emitted when the information about the requested mount point was found.

Parameters:

  | mountPoint | the requested mount point
  | kibSize | the total size of the partition in KiB
  | kibUsed | the amount of KiB being used on the partition
  | kibAvail | the available space on the partition in KiB

Signal syntax:
  `QObject.connect(source, SIGNAL("foundMountPoint(const QString&, quint64, quint64, quint64)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Constructor

bool readDF | ( | self, |
|  | QString | mountPoint
| ) |  |  |

Call this to fire a search on the disk usage information for mountPoint. The foundMountPoint() signal will be emitted if this mount point is found, with the info requested. The done() signal is emitted in any case.

Returns:
  true if the request could be handled, false if another request is happening already. readDF() can only be called once on a given instance of KDiskFreeSpace, given that it handles only the request for one mount point and then auto-deletes itself. Suicidal objects are not reusable...

## Static Method Documentation

KDiskFreeSpace findUsageInfo | ( | QString | path
| ) |  |  |

Call this to fire a search on the disk usage information for the mount point containing path. The foundMountPoint() signal will be emitted if this mount point is found, with the info requested. The done() signal is emitted in any case.